import db from '../../core/db';
import {log, reportError} from '../../core/utils';

let pages: any;
function updatePagesRegistry() {
    db.map('SELECT wiki_name AS wiki, data FROM wikidot_pages_lists', {}, ({wiki, data}) => ({wiki, list: data.list}))
        .then((results) => {
            pages = {};
            results.forEach(({wiki, list}) => {
                list.forEach((pageName: string) => {
                    if (pages[pageName]) {
                        pages[pageName].push(wiki);
                    } else {
                        pages[pageName] = [wiki];
                    }
                });
            });
            log('Pages lists registry updated');
        })
        .catch((error) => {
            reportError(error, {message: 'Error occured during pages list registry update'});
        });

    setTimeout(() => {
        updatePagesRegistry();
    }, 1000 * 60 * 30); // 30 min
}
updatePagesRegistry();

export default function getWikiListByPageName(name: string) {
    return pages[name] || [];
}
