import * as Queue from 'bee-queue';
import {log} from './utils';

async function executeTask(taskName: string, taskArgs: any[]) {
    await require(`../tasks/${taskName}`).run({}, taskArgs);
}

export default function runWorker() {
    const queue = new Queue('common', {
        isWorker: true,
        storeJobs: false
    });

    log('Common queue inited');

    queue.process(4, async (job) => {
        const jobType = job.data.type;
        log(`Processing job #${job.id}`, {extra: job.data});
        await require(`../tasks/${jobType}`).run.apply({}, job.data.args);
    });

    queue.on('error', (err) => {
        log(`A queue error happened: ${err.message}`);
    });
}
