'use strict';

import {Router} from 'express';

type Route = {
    path: string,
    name: string,
    method?: 'get' | 'post' | 'options'
};

const routes = [
    {
        name: 'ping',
        path: '/ping'
    },
    {
        name: 'wikidot/random-page',
        path: '/wikidot_random_page'
    },
    {
        name: 'wikidot/tags-list',
        path: '/_api/wikidot_tags_search/list'
    },
    {
        name: 'wikidot/tags-search',
        path: '/_api/wikidot_tags_search/find'
    },
    {
        name: 'wikidot/untranslated-list',
        path: '/_api/wanted_translations/list'
    },
    {
        name: 'wikidot/interwiki',
        path: '/interwiki/:wiki_name'
    }
];

export default function initRoutes(router: Router) {
    routes.forEach((route: Route) => {
        const method = route.method || 'get';
        router[method](route.path, require(`./controllers/${route.name}`).default);
    });
};
