import {logToDiscord, reportError, enqueue} from '../core/utils';
import {wk, SITES} from '../components/wikidot-kit';

export async function run(siteName: string) {
    if (!siteName) {
        throw new Error('Site name should be specified');
    }
    const wiki = SITES[siteName];
    const membersList = await wk.fetchMembersList(wiki.url);
    logToDiscord(`Importing ${siteName} members`);

    return wk.fetchMembersList(wiki.url)
        .catch(error => {
            reportError(error, {message: 'Error importing members list'});
        })
        .map((user: { uid: number }) => {
            return enqueue('member-import', [siteName, user.uid]);
        });
}
