"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const db_1 = require("../../core/db");
const utils_1 = require("../../core/utils");
let pages;
function updatePagesRegistry() {
    db_1.default.map('SELECT wiki_name AS wiki, data FROM wikidot_pages_lists', {}, ({ wiki, data }) => ({ wiki, list: data.list }))
        .then((results) => {
        pages = {};
        results.forEach(({ wiki, list }) => {
            list.forEach((pageName) => {
                if (pages[pageName]) {
                    pages[pageName].push(wiki);
                }
                else {
                    pages[pageName] = [wiki];
                }
            });
        });
        utils_1.log('Pages lists registry updated');
    })
        .catch((error) => {
        utils_1.reportError(error, { message: 'Error occured during pages list registry update' });
    });
    setTimeout(() => {
        updatePagesRegistry();
    }, 1000 * 60 * 30); // 30 min
}
updatePagesRegistry();
function getWikiListByPageName(name) {
    return pages[name] || [];
}
exports.default = getWikiListByPageName;
//# sourceMappingURL=registry.js.map