"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const pino_1 = require("../core/pino");
const Trello = require('node-trello');
const t = new Trello(process.env.TRELLO_API_KEY, process.env.TRELLO_API_TOKEN);
exports.FEATURED_PAGES_BOARD_ID = '5a7fb4d8f343cbdce8d7ee07';
exports.DAILY_BACKLOG_LIST_ID = '5a7fb55bc5f0ecbf4b0496e6';
exports.DAILY_PREVIOUS_LIST_ID = '5a7fb5605fb6efdcb8a0b4f0';
exports.WEEKLY_BACKLOG_LIST_ID = '5a7fb5632634e18ada2a7ade';
exports.WEEKLY_PREVIOUS_LIST_ID = '5a7fb566c70bafd8cfce26e5';
exports.IN_PROGRESS_LABEL_ID = '5a7fb4d89ae3d60b0c64ae18';
function getListCards(listId) {
    return new Promise((resolve, reject) => {
        t.get(`/1/lists/${listId}/cards`, (error, data) => {
            if (error)
                throw error;
            const result = data.map((card) => {
                return { id: card.id, name: card.name, desc: card.desc, pos: card.pos };
            });
            resolve(result);
        });
    });
}
exports.getListCards = getListCards;
function updateCardList(cardId, listId, position) {
    return new Promise((resolve, reject) => {
        const data = { idList: listId };
        if (position) {
            data.pos = position;
        }
        t.put(`/1/cards/${cardId}`, data, (error, data) => {
            if (error)
                reject(error);
            pino_1.default.info({ cardId, listId }, '[TRELLO] TrelloCard list updated');
            resolve();
        });
    });
}
exports.updateCardList = updateCardList;
//# sourceMappingURL=trello.js.map