"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../core/utils");
const db_1 = require("../../core/db");
exports.default = async (req, res) => {
    try {
        const result = await db_1.default.map(`
                SELECT DISTINCT unnest(tags) AS tag
                FROM wikidot_pages
                WHERE wiki_name = $(wiki);`, { wiki: 'scp-ru' }, (result) => result.tag);
        res.send(result.sort((one, another) => one.localeCompare(another)));
    }
    catch (error) {
        res.status(500).send('Unhandled internal error, incident reported');
        utils_1.reportError(error, { tags: { location: 'wikidot/tags-list' } });
    }
};
//# sourceMappingURL=tags-list.js.map