"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../core/utils");
const db_1 = require("../../core/db");
exports.default = async (req, res) => {
    try {
        const result = await db_1.default.manyOrNone(`
            SELECT name, title, rating
            FROM wikidot_pages wp1
            WHERE name ~ '^scp-[0-9]{3,4}$' AND wiki_name = 'scp-wiki'
                AND NOT EXISTS(SELECT 1
                               FROM wikidot_pages wp2
                               WHERE wp2.wiki_name = 'scp-ru' AND wp2.name = wp1.name)
            ORDER BY rating DESC;
        `);
        res.send(result);
    }
    catch (error) {
        res.status(500).send('Unhandled internal error, incident reported');
        utils_1.reportError(error, { tags: { location: 'api/untranslated-list' } });
    }
};
//# sourceMappingURL=untranslated-list.js.map