"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Queue = require("bee-queue");
const utils_1 = require("./utils");
async function executeTask(taskName, taskArgs) {
    await require(`../tasks/${taskName}`).run({}, taskArgs);
}
function runWorker() {
    const queue = new Queue('common', {
        isWorker: true,
        storeJobs: false
    });
    utils_1.log('Common queue inited');
    queue.process(4, async (job) => {
        const jobType = job.data.type;
        utils_1.log(`Processing job #${job.id}`, { extra: job.data });
        await require(`../tasks/${jobType}`).run.apply({}, job.data.args);
    });
    queue.on('error', (err) => {
        utils_1.log(`A queue error happened: ${err.message}`);
    });
}
exports.default = runWorker;
//# sourceMappingURL=worker.js.map