"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schedule = require("node-schedule");
const utils_1 = require("./core/utils");
function initScheduler() {
    if (process.env.APP_ENV === 'development') {
        return;
    }
    utils_1.log('Scheduler inited');
    schedule.scheduleJob('00 01 * * *', () => {
        utils_1.logToDiscord('Scheduling members import');
        utils_1.enqueue('members-import-init', ['scp-ru']);
    });
    schedule.scheduleJob('00 02 * * *', () => {
        utils_1.logToDiscord('Scheduling discord member roles sync');
        utils_1.enqueue('discord-roles-sync', []);
    });
    schedule.scheduleJob('00 * * * *', () => {
        utils_1.logToDiscord('Scheduling pages list import');
        utils_1.enqueue('pages-lists-import', []);
    });
    schedule.scheduleJob('00 00 * * *', () => {
        utils_1.logToDiscord('Scheduling featured daily rotation');
        utils_1.enqueue('featured-daily-rotation', []);
    });
    schedule.scheduleJob('05 02 */3 * *', () => {
        utils_1.logToDiscord('Scheduling full wikidot pages import');
        utils_1.enqueue('wiki-pages-import', []);
    });
    schedule.scheduleJob('00 07 */3 * *', () => {
        utils_1.logToDiscord('Scheduling object titles extraction');
        utils_1.enqueue('object-titles-extraction', []);
    });
}
exports.default = initScheduler;
//# sourceMappingURL=schedule.js.map