"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../core/utils");
const Discord = require("discord.js");
const wikidot_user_1 = require("../models/wikidot-user");
const discord = new Discord.Client();
const token = process.env.DISCORD_BOT_TOKEN;
const SCP_RU_GUILD_ID = '106464299056128000';
const MEMBERS_ROLE_ID = '106465861476319232';
function run() {
    return new Promise((resolve) => {
        discord.on('ready', () => {
            const guild = discord.guilds.find((data, key) => key === SCP_RU_GUILD_ID);
            const memberRole = guild.roles.find((role) => {
                return role.id === MEMBERS_ROLE_ID;
            });
            let numberOfMembersToSync;
            wikidot_user_1.default.findMembersWithDiscordTag()
                .then((memberDiscordIDs) => {
                numberOfMembersToSync = memberDiscordIDs.length;
                return guild.members.filterArray((member) => {
                    const user = member.user;
                    const userID = `${user.username}#${user.discriminator}`;
                    return memberDiscordIDs.includes(userID);
                });
            })
                .map((userToUpdate) => {
                return userToUpdate.addRole(memberRole);
            })
                .then(() => {
                utils_1.log(`Synced discord roles for ${numberOfMembersToSync} members`);
                resolve();
            })
                .catch((error) => {
                utils_1.reportError(error, { message: 'Error setting discord member roles' });
                resolve();
            });
        });
        discord.login(token);
    });
}
exports.run = run;
//# sourceMappingURL=discord-roles-sync.js.map