"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const db_1 = require("../core/db");
const utils_1 = require("../core/utils");
const wikidot_kit_1 = require("../components/wikidot-kit");
function run(siteName, uid) {
    const wiki = wikidot_kit_1.SITES[siteName];
    utils_1.log(`Importing member ${uid} from ${wiki.name}`);
    return wikidot_kit_1.wk.fetchUserProfile(wiki.url, uid)
        .then((user) => {
        const memberships = { [wiki.name]: user.memberSince };
        return db_1.default.query(`
                        INSERT INTO wikidot_users AS wk_users (uid, username, about, reg_date, memberships)
                        VALUES($(uid), $(username), $(about), $(userSince), $(memberships))
                        ON CONFLICT (uid) DO UPDATE SET
                            username = $(username),
                            about = $(about),
                            memberships = wk_users.memberships || $(memberships)
                    `, { uid, username: user.username, about: user.about, userSince: user.userSince, memberships });
    })
        .catch(error => {
        utils_1.reportError(error, { message: 'Error importing member profile', extra: { uid } });
    });
}
exports.run = run;
//# sourceMappingURL=member-import.js.map