"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../core/utils");
const wikidot_kit_1 = require("../components/wikidot-kit");
async function run(siteName) {
    if (!siteName) {
        throw new Error('Site name should be specified');
    }
    const wiki = wikidot_kit_1.SITES[siteName];
    const membersList = await wikidot_kit_1.wk.fetchMembersList(wiki.url);
    utils_1.logToDiscord(`Importing ${siteName} members`);
    return wikidot_kit_1.wk.fetchMembersList(wiki.url)
        .catch(error => {
        utils_1.reportError(error, { message: 'Error importing members list' });
    })
        .map((user) => {
        return utils_1.enqueue('member-import', [siteName, user.uid]);
    });
}
exports.run = run;
//# sourceMappingURL=members-import-init.js.map