"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Bluebird = require("bluebird");
const utils_1 = require("../core/utils");
const wikidot_kit_1 = require("../components/wikidot-kit");
const WIKIDOT_IMPORT_CONCURRENCY = 2;
async function run() {
    utils_1.log('Performing full import');
    const sitesList = wikidot_kit_1.SITES_LIST
        .filter(s => s.interwiki)
        .map(s => s.name);
    const enqueueWiki = async (siteName) => {
        const pagesList = await wikidot_kit_1.wk.fetchPagesList(siteName);
        return Bluebird.all(pagesList.map((pageName) => {
            return utils_1.enqueue('page-import', [siteName, pageName]);
        }));
    };
    return Bluebird.all(sitesList.map(enqueueWiki));
}
exports.run = run;
//# sourceMappingURL=wiki-pages-import.js.map